/*
 * file com_listen.c - listen for client to connect
 *
 * $Id: com_listen.c,v 1.5 2000/05/30 09:41:42 xblast Exp $
 *
 * Program XBLAST 
 * (C) by Oliver Vogel (e-mail: m.vogel@ndh.net)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will be entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "com_listen.h"

#include "com_to_client.h"

/*
 * local types
 */
typedef struct {
  XBComm comm;
} XBCommListen;

/*
 *
 */
static XBCommResult
ReadListen (XBComm *comm)
{
  if (NULL != (S2C_CreateComm (comm->socket) ) ) {
#ifdef DEBUG
    fprintf (stderr, "client has connect\n");
#endif
  }
  return XCR_OK;
} /* ReadListen */

/*
 *
 */
static XBCommResult
WriteListen (XBComm *comm)
{
  return XCR_OK;
} /* ReadListen */

/*
 *
 */
static XBCommResult
DeleteListen (XBComm *comm)
{
  CommFinish (comm);
  free (comm);
  return XCR_OK;
} /* CommDeleteListen */

/*
 * create listeneing communication
 */
XBComm *
CommCreateListen (const CFGGameHost *cfg)
{
  XBSocket     *pSocket;
  XBCommListen *lCom;
  
  assert (cfg != NULL);
  /* create listen socket */
  pSocket = Net_ListenInet (cfg->port);
  if (NULL == pSocket) {
    return NULL;
  }
  /* create communication data structure */
  lCom = calloc (1, sizeof (XBCommListen) );
  assert (NULL != lCom);
  /* set values */
  CommInit (&lCom->comm, COMM_Listen, pSocket, ReadListen, WriteListen, DeleteListen);
  /* that's all */
  return &lCom->comm;
} /* CommCreateListen */

/*
 * end of file com_listen.c
 */
