/*
 * file demo.h - recording and playback of xblast games
 *
 * $Id: demo.h,v 1.5 2001/04/14 09:09:37 xblast Exp $
 *
 * Program XBLAST 
 * (C) by Oliver Vogel (e-mail: m.vogel@ndh.net)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will be entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: demo.h,v $
 * Revision 1.5  2001/04/14 09:09:37  xblast
 * nearly finished reorganizing "running a game"
 *
 * Revision 1.4  2001/03/01 20:54:19  xblast
 * demo playback implemented
 *
 * Revision 1.3  2001/01/26 21:43:23  xblast
 * whole demo recorded in one file
 *
 * Revision 1.2  2001/01/24 21:08:28  xblast
 * demo recording: saving of player data and keys implemented
 *
 * Revision 1.1  2000/07/15 12:33:31  xblast
 * Initial revision
 *
 */
#ifndef _DEMO_H
#define _DEMO_H

#include "action.h"
#include "cfg_game.h"

/*
 * type definitions
 */

/*
 * global prototypes
 */
extern void DemoInitGame (XBPlayerHost hostType, const CFGGame *cfgGame);
extern void DemoInitLevel (XBAtom level);
extern void DemoRecordFrame (int gameTime, const PlayerAction *pa);
extern void DemoFinishLevel (int gameTime);
extern void DemoFinishGame (void);

extern XBBool DemoPlaybackConfig (CFGGame *);
extern XBAtom DemoPlaybackLevel (void);
extern XBBool DemoPlaybackStart (void);
extern XBBool DemoPlaybackFrame (int gameTime, PlayerAction *pa);

#endif
/*
 * end of file demo.h
 */
