/*
 * file mi_stat.h - menu item for displaying game table
 *
 * $Id: mi_stat.h,v 1.5 2001/06/14 11:39:47 xblast Exp $
 *
 * Program XBLAST 
 * (C) by Oliver Vogel (e-mail: m.vogel@ndh.net)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will be entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef XBLAST_MI_STAT_H
#define XBLAST_MI_STAT_H

#include "mi_base.h"
#include "cfg_stat.h"
#include "cfg_demo.h"

extern XBMenuItem *MenuCreateStatEntry (int x, int y, int w, const XBStatData *stat, MIC_button func, void *funcPar);
extern XBMenuItem *MenuCreateStatHeader (int x, int y, int w, const char *title);
extern XBMenuItem *MenuCreateDemoEntry (int x, int y, int w, const CFGDemoEntry *demo, MIC_button func, void *funcPar);
extern XBMenuItem *MenuCreateDemoHeader (int x, int y, int w);
extern XBMenuItem *MenuCreateGameEntry (int x, int y, int w, const XBNetworkGame **, MIC_button func);
extern XBMenuItem *MenuCreateGameHeader (int x, int y, int w);
extern void MenuDeleteTable (XBMenuItem *item);
extern void MenuActivateTable (XBMenuItem *ptr, XBBool flag);

#endif
/*
 * end of file mi_stat.h
 */
