/*
 * file random.c - generator
 *
 * $Id: random.c,v 1.2 2001/02/22 20:13:47 xblast Exp $
 *
 * Program XBLAST 
 * (C) by Oliver Vogel (e-mail: m.vogel@ndh.net)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will be entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "random.h"

#include "common.h"

/* 
 * local Variables
 */
/* seeds for both random generators */
static unsigned gRand;
static unsigned oRand;

/*
 * seeds both random number generators
 */
void
SeedRandom (unsigned seed)
{
  gRand = oRand = seed;
} /* SeedRandom */

/*
 * get the seed of the random number generator
 */
unsigned
GetRandomSeed (void)
{
  return gRand;
} /* GetRandomSeed */

/* 
 * creates a 32 Bit pseudo random number
 */
static unsigned 
GameRandom (void)
{
  gRand = 1664525L * gRand + 1013904223L;
  return gRand;
} /* MyRandom */

/* 
 * creates a 32 Bit pseudo random number
 */
static unsigned 
OtherRandom (void)
{
  oRand = 1664525L * oRand + 1013904223L;
  return oRand;
} /* MyRandom */

/*
 * creates an integer random number between 0 and maxVal-1;
 */
int 
GameRandomNumber1 (int maxVal)
{
  return (int)(GameRandom () % maxVal);
} /* RandomNumber */

/*
 * creates an integer random number between 0 and maxVal-1;
 */
int 
GameRandomNumber2 (int maxVal, const char *file, int line)
{
  int result = (int) (GameRandom () % maxVal);
  fprintf (stderr, "%s:%d: GameRandomNumber() =  %d/%d (%u)\n", file, line, result, maxVal, gRand);
  return result;
} /* RandomNumber */

/*
 * creates an integer random number between 0 and maxVal-1;
 */
int 
OtherRandomNumber (int maxVal)
{
  return (int) (OtherRandom () % maxVal);
} /* RandomNumber */

/*
 * end of file random.c
 */
